package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.PersonApplicationInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface PersonApplicationInfoDAO {
	int insert(PersonApplicationInfo entity);
	int update(PersonApplicationInfo entity);
	int exist(String id);
	PersonApplicationInfo get(String id);
	int delete(String id);
	List<PersonApplicationInfo> list();
	List<PersonApplicationInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    PersonApplicationInfo findByTelephoneAndStatus(@Param("phone") String phone, @Param("status") String status);

    PersonApplicationInfo findIsExistApply(@Param("companyId")String companyId, @Param("telephone")String telephone, @Param("status")String status);

    PersonApplicationInfo findPhoneAndStatus(@Param("phone") String phone, @Param("status") String status);
}